'
' ----------------------------------------------------------------------------
' NEW OPEN/SAVE DIALOG DEMO       frmNewOpenSaveDialog         Gui Application
'
' March, 3rd 2006                      by Jacques                 Version  002
' ----------------------------------------------------------------------------
'
$Include "QSaveDialogNew.Inc"
$Include "QOpenDialogNew.Inc"
'
$ESCAPECHARS ON
$TYPECHECK ON
$INCLUDE "RAPIDQ.INC"
'
Declare Sub OnClose_frmNewOpenSaveDialog
'
Create frmNewOpenSaveDialog As QForm
    Center
    Width = 500
    Height = 400
    Caption = "frmNewOpenSaveDialog"
    AutoScroll = False
    OnClose = OnClose_frmNewOpenSaveDialog
    Create rchWin AS QRichEdit
        Align = 5
        Font.Name = "courier"
        Font.Size = 8
        Font.Color = &H800000
        Width = 200
        Height = 200
        ReadOnly = True
        WordWrap = False
        ScrollBars = ssBoth
        HideSelection = False
        PlainText = True
    End Create
End Create
'
' *************************************
frmNewOpenSaveDialog.Show
' *************************************
DefInt I
' -----------------------------------------------------------------------------
' SAVE
' -----------------------------------------------------------------------------
Dim mySave as QSaveDialogNew
mySave.Filter = "All Files(*.*)|*.*;Picture(*.jpg)|*.jpg"
mySave.InitialDir = "c:\\windows\\Temp\\"
mySave.Caption = "SAVE : Nice Caption"
mySave.FilterIndex = 1
mySave.FileName = "Save.Jpg"
' New Properties
'mySave.DefaultExtension = "xyz"
'mySave.SaveReadOnly = 1
mySave.MultiSelect = 1
'mySave.HideReadOnly = 0
'mySave.OverWritePrompt = 0
'
mySave.Execute
rchWin.AddString ("SAVE:   SelectedDir = " & MySave.SelectedDir)
For I = 0 To MySave.SelectedFile.ItemCount - 1
     rchWin.AddString "    SelectedFile(" & Str$(I) & ") = " & MySave.SelectedFile.Item(I)
Next I
'
For I = 0 To MySave.SelectedPathFile.ItemCount - 1
     rchWin.AddString "SelectedPathFile(" & Str$(I) & ") = " & MySave.SelectedPathFile.Item(I)
Next I
'
' -----------------------------------------------------------------------------
' OPEN
' -----------------------------------------------------------------------------
Dim myOpen as QOpenDialogNew
myOpen.Filter = "All Files(*.*)|*.*;Picture(*.jpg)|*.jpg"
myOpen.InitialDir = "c:\\Windows\\Temp\\"
myOpen.Caption = "OPEN : Nice Caption"
myOpen.FilterIndex = 1
myOpen.FileName = "Open.Jpg"
' New Properties
'myOpen.DefaultExtension = "xyz"
'myOpen.SaveReadOnly = 1
myOpen.MultiSelect = 1
'myOpen.HideReadOnly = 0
'myOpen.OverWritePrompt = 0
'
myOpen.Execute
rchWin.AddString ("\nOPEN:   SelectedDir = " & myOpen.SelectedDir)
For I = 0 To myOpen.SelectedFile.ItemCount - 1
     rchWin.AddString "    SelectedFile(" & Str$(I) & ") = " & myOpen.SelectedFile.Item(I)
Next I
'
For I = 0 To myOpen.SelectedPathFile.ItemCount - 1
     rchWin.AddString "SelectedPathFile(" & Str$(I) & ") = " & myOpen.SelectedPathFile.Item(I)
Next I
' -----------------------------------------------------------------------------
'
' *************************************
frmNewOpenSaveDialog.Visible = False
frmNewOpenSaveDialog.ShowModal
' *************************************
'
Sub OnClose_frmNewOpenSaveDialog
    Application.Terminate
    End
End Sub
' -----------------------------------------------------------------------------
'
